GuidesAPI Reference
API Reference

post

After return from Credit Key, complete_checkout is called to confirm successful placement of an order. If the return value for 'success' is 'true', the order should be placed in the merchant system; otherwise, no order should be placed.

Query Params
string
required

The public key provided to you by Credit Key. This varies between staging and production environments.

string
required

The shared secret provided to you by Credit Key. This varies between staging and production environments.

Body Params
string
required

The unique order key generated by Credit Key for a Merchant order as returned by /begin_checkout.

Responses

400

The order key was not provided.

401

Unauthorized. The public_key and/or shared_secret given are invalid.

404

An order with the given order key was not found.

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json